//      mnenc.cpp
//      
//      Copyright 2010 Micke Nordin <mickewiki@gmail.com>
//      
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//      
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//      
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.



#include <iostream>
#include <string>
#include <fstream>
#include <cstdlib>
#include <ctime>
#include "mnenc.hpp"

mnenc::mnenc() {
	key = "";
}

void mnenc::genkey(std::string str) {
	key = str + str + str + str + str + str + str + str + str;
}

std::string mnenc::encrypt(std::string key, std::string str) {
	for(int i=0; i < (signed) str.size(); i++)	{
		str[i]=str[i]^key[i];
	}
	return str;
}
 
std::string mnenc::decrypt(std::string key, std::string passwd) {
	for(int i=0; i < (signed) passwd.size(); i++)	{
		passwd[i] = key[i] ^ passwd[i];
	}
	return passwd;
}
std::string mnenc::get_key() {
	if(key != "") {
		return key;
	} else {
		std::cerr << "Error: No key generated.";
		return key;
	}
}








